import request from "@/utils/request";

// 创建MES 员工列表主档
export function createEmployeeMaster(data) {
  return request({
    url: "/system/employee-master/create",
    method: "post",
    data: data,
  });
}

// 更新MES 员工列表主档
export function updateEmployeeMaster(data) {
  return request({
    url: "/system/employee-master/update",
    method: "put",
    data: data,
  });
}

// 删除MES 员工列表主档
export function deleteEmployeeMaster(id) {
  return request({
    url: "/system/employee-master/delete?id=" + id,
    method: "delete",
  });
}

// 获得MES 员工列表主档
export function getEmployeeMaster(id) {
  return request({
    url: "/system/employee-master/get?id=" + id,
    method: "get",
  });
}

// 获得MES 员工列表主档分页
export function getEmployeeMasterPage(query) {
  return request({
    url: "/system/employee-master/page",
    method: "get",
    params: query,
  });
}

// 导出MES 员工列表主档 Excel
export function exportEmployeeMasterExcel(query) {
  return request({
    url: "/system/employee-master/export-excel",
    method: "get",
    params: query,
    responseType: "blob",
  });
}

// 文件列表
export function getFilesList(query) {
  return request({
    url: "/minio/files/filesList",
    method: "get",
    params: query,
  });
}
